QGIS Application - Bug report #14191
virtual fields not re-created when duplicating a layer
2016-01-28 07:43 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: Virtual Fields

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22193
Description

When a layer is duplicated via the "Duplicate layer" menu item, virtual fields are not re-created in the newly added (duplicated) layer.
Steps to reproduce

1. Add a vector layer to an empty project

2. Open the layer properties window, go to the field panel

3. Add a virtual field (any expression will do)

4. Apply the settings and leave the properties window

5. Right-click on the layer, and select the duplicate item

6. Open the properties window of the newly-created layer, and notice the absence of virtual field(s).

Associated revisions

Revision 57b5eb95 - 2016-02-05 09:03 AM - Matthias Kuhn

On duplicate copy join and virtual fields

Fixes #14191

History

#1 - 2016-02-05 12:04 AM - Anonymous
- Status changed from Open to Closed

Fixed in changeset commit:"57b5eb954ef988489456fcd14b236bb784d150a2".
